OSGeo install of QGIS on Windows leaves behind folder on desktop
Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.14.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22441

Description

When installing QGIS via the OSGeo installer on Windows, a folder is created on the desktop, whose name starts with "http". As far as I

can see this is unnecessary at best, and unwanted at worst. The folder is not removed. The folder is also created when upgrading QGIS

via the OSGeo installer. If the folder is required, it should be created in a temp location, not the desktop, and it should deleted if it is no

longer needed after installation.

This is part of the wider issue of unwanted desktop icons on Windows install raised at 

http://lists.osgeo.org/pipermail/qgis-developer/2016-March/041810.html

History

#1 - 2016-03-12 06:18 AM - Anita Graser

- OS version changed from 7 64-bit to all

+1 for putting the folder in a location other than the Desktop by default but I don't think it needs to be deleted after the install.

As mentioned by m_roy on the mailing list: "the folder contains all necessary data for the installation 

and is not created on the desktop but you can choose where you want it, 

the installer should not be launched from the desktop but from a regular 

file system folder if you like your desktop cleaner; 

it is also a very useful folder because you can use it to perform 

several OSGEO4W installation in other PC without having to download all 

the needed stuff again and again, so not a folder to get rid of IMHO."

#2 - 2016-03-12 07:01 AM - Tom Chadwin

OK. How about naming it more usefully?

#3 - 2016-03-12 07:28 AM - Jürgen Fischer

Tom Chadwin wrote:

OK. How about naming it more usefully?

It's a temporary directory is created in current directory of the installer by default.  Apparently you're loading the installer onto the desktop.
#4 - 2016-03-12 08:03 AM - Tom Chadwin

So you disagree with the above, that the folder should be kept? In that case it should be deleted, and it isn't. As I have already said, I'm not consciously

installing it from anywhere. I clicked the link to it on the download site, and chose Run rather than Save, precisely in order to avoid post-install files

remaining. I would appreciate it if people stopped telling me incorrectly what I did.

#5 - 2016-03-12 08:13 AM - Anita Graser

Please stop the attitude Tom. QGIS is not responsible for the default download location of your browser. The only thing that can be controlled is whether

the installer puts the osgeo4w download folder in the same location as the installer.

#6 - 2016-03-12 08:47 AM - Tom Chadwin

It's not my default download location. Perhaps please close this issue. I was only trying to help, but something's gone wrong with this ticket.

#7 - 2016-03-12 11:30 AM - Anita Graser

I think this is a valid issue which is confusing to users.

@Jürgen: Could the default behavior be changed to creating an OSGeo4W folder in the user's home directory instead of using the installer location?

#8 - 2016-03-12 03:16 PM - R. R.

I am not sure this is related or not, but when uninstalling QGIS (OSGeo, Win7) the desktop icon isn't removed.

#9 - 2016-03-12 06:01 PM - Jürgen Fischer

Tom Chadwin wrote:

So you disagree with the above, that the folder should be kept?

No, I just don't see a point in renaming it.  And I explained why it's on your desktop.  Nothing more, nothing less.

#10 - 2016-03-12 06:03 PM - Jürgen Fischer

Anita Graser wrote:

I think this is a valid issue which is confusing to users.

@Jürgen: Could the default behavior be changed to creating an OSGeo4W folder in the user's home directory instead of using the installer location?

The default is now the temporary directory (r1296).  Also introduces a subdirectory on the desktop that contains the shortcuts (corresponding to the start

menu group;  still requires support in OSGeo4W packages).
#11 - 2016-03-12 06:04 PM - Jürgen Fischer

Reinhard Reiterer wrote:

I am not sure this is related or not, but when uninstalling QGIS (OSGeo, Win7) the desktop icon isn't removed.

Should be fixed in commit:c2ff2d7

#12 - 2016-03-13 12:29 AM - Tom Chadwin

Thanks, Juergen. In time, the full solution would require an extra install stage: "Create shortcuts on desktop?" with all the icons listed. I'd suggest having

QGIS checked by default and the others (grass, msys, etc) unchecked. The user then has full control.

#13 - 2016-03-13 03:31 AM - Jürgen Fischer

Tom Chadwin wrote:

Thanks, Juergen. In time, the full solution would require an extra install stage: "Create shortcuts on desktop?" with all the icons listed. I'd suggest

having QGIS checked by default and the others (grass, msys, etc) unchecked. The user then has full control.

I you want full control you can install using OSGeo4W.

#14 - 2016-03-13 04:36 AM - Anita Graser

Jürgen Fischer wrote:

I you want full control you can install using OSGeo4W.

At which step of the OSGeo4W installer does the user get to select which icons to put on the desktop? Can't find it.

#15 - 2016-03-13 06:39 PM - Jürgen Fischer

Anita Graser wrote:

Jürgen Fischer wrote:

I you want full control you can install using OSGeo4W.

At which step of the OSGeo4W installer does the user get to select which icons to put on the desktop? Can't find it.

You don't need to install what you don't want and you can decide whether you want desktop links or not.  Well, it's more control at least.

#16 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No
- Regression? set to No

#17 - 2019-03-09 03:08 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
